<div class="row">
  <div class="col text-center">
    <h1>Here you can add tracks to yours cloud playlists</h1>
  </div>
</div>
<form>
  <div class="form-group">
    <div class="row">
      <div class="col-md-4 input">
        <label for="Playlist">The playlist to be updated:</label>
        <select id="Playlist" [(ngModel)]="playlistId" name="playlistName" class="custom-select">
          <option *ngFor="let playlist of playlistRes" [value]="playlist.id">{{ playlist.name }}</option>
        </select>
      </div>
      <div class="col-md-8 input">
        <label for="Track">The track you want to upload:</label>
        <input type="text" id="Track" [(ngModel)]="searchStr" name="searchStr" (keyup)="searchMusic()" class="form-control" placeholder="Search">
      </div>
    </div>
  </div>
</form>
<div class="row">
  <div *ngIf="trackRes" class="col-md-6">
    <h4>Your search result:</h4>
    <ul class="track-list">
      <li *ngFor="let item of trackRes, let i = index" class="search-res">
        <button (click)="addTrack(item)" class="btn btn-success little">+</button>
        <a [href]="item.preview_url" target="_blank">
          {{ item.name }}
        </a>
      </li>
    </ul>
  </div>
  <div *ngIf="tracksToAdd.length" class="col-md-6">
    <h4>Your temporal playlist:</h4>
    <ul class="track-list">
      <li *ngFor="let track of tracksToAdd, let i = index">
        <button (click)="deleteTrack(i)" class="btn btn-danger little">-</button> {{ track.name }}</li>
    </ul>
  </div>
</div>
<div *ngIf="tracksToAdd.length" class="row">
  <div class="col text-center">
    <button class="btn btn-success" (click)="uploadTracks()">Upload playlist</button>
  </div>
</div>